Index: modules/uoa-services-portal/trunk/portal-2/src/app/utils/properties/openaireProperties.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/utils/properties/openaireProperties.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/utils/properties/openaireProperties.ts	(revision 48658)
@@ -99,6 +99,8 @@
     private static cookieDomain =".di.uoa.gr";
     private static cookieDomain_pm =".openaire.eu";
 
+    private static feedbackmail ="something@mail.com";
+
     public static getBaseLink():string{
       return this.baseLink;
     }
@@ -308,6 +310,7 @@
         return this.helpdesk;
     }
 
+
     //upload service for bulk claim - upload csv file
     public static getUploadServiceUrl():string{
       if(this.productionMode){
@@ -340,6 +343,9 @@
         return this.cookieDomain;
       }
     }
+    public static getFeedbackMail():string{
+      return this.feedbackmail;    
+  }
 }
 export class ErrorCodes {
   public LOADING = 0;
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/metrics.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/metrics.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/metrics.component.ts	(revision 48658)
@@ -24,7 +24,7 @@
         Metrics are currently unavailable
     </div-->
 
-    <div *ngIf="status == errorCodes.LOADING" class="uk-alert uk-alert-primary" role="alert">Loading...</div>
+    <div *ngIf="status == errorCodes.LOADING" class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
     <div *ngIf="status == errorCodes.NONE" class="uk-alert uk-alert-primary" role="alert">No Results found</div>
     <div *ngIf="status == errorCodes.ERROR" class="uk-alert uk-alert-warning" role="alert">An Error Occured</div>
     <div *ngIf="status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger" role="alert">Service not available</div>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/utils/metaTags/openaireMetaTags.class.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/utils/metaTags/openaireMetaTags.class.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/utils/metaTags/openaireMetaTags.class.ts	(revision 48658)
@@ -10,8 +10,8 @@
     this._meta.updateProperty("og:description", description);
   }
   updateTitle(title:string){
-    var _suffix ="| OpenAIRE";
-    var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+    var _prefix ="OpenAIRE | ";
+    var _title = _prefix + ((title.length> 50 ) ?title.substring(0,50):title);
     this._meta.setTitle(_title );
     this._meta.updateProperty("og:title",_title);
   }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.component.html
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.component.html	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.component.html	(revision 48658)
@@ -5,7 +5,7 @@
 <div class="uk-container uk-margin-top datasource">
     <div *ngIf="warningMessage.length > 0" class="uk-alert uk-alert-warning  uk-margin-large-top" role="alert">{{warningMessage}}</div>
     <div *ngIf="errorMessage.length > 0" class="uk-alert uk-alert-danger  uk-margin-large-top" role="alert">{{errorMessage}}</div>
-    <div *ngIf="showLoading" class="uk-alert uk-alert-primary  uk-margin-large-top" role="alert">Loading...</div>
+    <div *ngIf="showLoading" class="uk-animation-fade uk-margin-large-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
 
     <div *ngIf="dataProviderInfo != null" uk-grid>
 
@@ -181,8 +181,9 @@
                           <div *ngIf="fetchPublications.searchUtils.status == errorCodes.NOT_AVAILABLE || fetchDatasets.searchUtils.status == errorCodes.NOT_AVAILABLE"
                                 class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
                           <div *ngIf="fetchPublications.searchUtils.status == errorCodes.LOADING || fetchDatasets.searchUtils.status == errorCodes.LOADING"
-                                class="uk-alert uk-alert-primary uk-animation-fade" role="alert">Loading...</div>
+                                class="uk-animation-fade uk-margin-large-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
 
+
                           <div *ngIf="(fetchPublications.searchUtils.totalResults != 0 || fetchDatasets.searchUtils.totalResults != 0)">
                             <p class="uk-text-bold">Latest Documents Timeline</p>
                             <i-frame  [url]=docsTimelineUrl width="800" height="350"></i-frame>
@@ -223,14 +224,14 @@
                 </div>
 
         </div>
-
+      </div>
         <div class="uk-width-1-4@l uk-width-1-4@xl uk-width-1-4@m uk-width-1-1@s">
           <div>
             Share - Bookmark<addThis ></addThis>
           </div>
         </div>
+
     </div>
 </div>
 </div>
 </div>
-</div>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/find/search.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/find/search.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/find/search.component.ts	(revision 48658)
@@ -367,7 +367,9 @@
           this.fetchOrganizations = new FetchOrganizations( this._searchOrganizationsService);
 
           var description = "open access, research, scientific publication, European Commission, EC, FP7, ERC, Horizon 2020, H2020, search, projects ";
-          var title = "Search publications, research data, projects... | OpenAIRE";
+
+          var title = "OpenAIRE | Search publications, research data, projects... | OpenAIRE";
+
           var url = OpenaireProperties.getBaseLink()+this._router.url;
           this._meta.setTitle(title);
           this._meta.updateMeta("description", description);
@@ -376,7 +378,8 @@
           this._meta.updateProperty("og:url", url);
           this.getNumbers();
           if(OpenaireProperties.isPiwikTrackEnabled() && (typeof document !== 'undefined')){
-            this.piwiksub = this._piwikService.trackView("Search publications, research data, projects... | OpenAIRE").subscribe();
+            this.piwiksub = this._piwikService.trackView("OpenAIRE |Search publications, research data, projects...").subscribe();
+
           }
 
   }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.component.html
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.component.html	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.component.html	(revision 48658)
@@ -5,7 +5,7 @@
 <div id="project" class="uk-container uk-margin-top project">
     <div *ngIf="warningMessage.length > 0" class="uk-alert uk-alert-warning uk-margin-large-top" role="alert">{{warningMessage}}</div>
     <div *ngIf="errorMessage.length > 0" class="uk-alert uk-alert-danger  uk-margin-large-top" role="alert">{{errorMessage}}</div>
-    <div *ngIf="showLoading" class="uk-alert uk-alert-primary  uk-margin-large-top" role="alert">Loading...</div>
+    <div *ngIf="showLoading" class="uk-animation-fade uk-margin-large-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
 
     <div *ngIf="projectInfo != null" uk-grid>
         <div class="uk-width-3-4@l uk-width-3-4@xl uk-width-3-4@m uk-width-1-1@s">
@@ -141,7 +141,7 @@
                     <div *ngIf="fetchPublications.searchUtils.status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">There are no publications</div>
                     <div *ngIf="fetchPublications.searchUtils.status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
                     <div *ngIf="fetchPublications.searchUtils.status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
-                    <div *ngIf="fetchPublications.searchUtils.status == errorCodes.LOADING" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">Loading...</div>
+                    <div *ngIf="fetchPublications.searchUtils.status == errorCodes.LOADING" class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
 
 
                     <div *ngIf="fetchPublications.searchUtils.totalResults > 0">
@@ -165,7 +165,7 @@
                     <div *ngIf="fetchDatasets.searchUtils.status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">There are no research data</div>
                     <div *ngIf="fetchDatasets.searchUtils.status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
                     <div *ngIf="fetchDatasets.searchUtils.status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
-                    <div *ngIf="fetchDatasets.searchUtils.status == errorCodes.LOADING" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">Loading...</div>
+                    <div *ngIf="fetchDatasets.searchUtils.status == errorCodes.LOADING" class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
 
 
                     <div *ngIf="fetchDatasets.searchUtils.totalResults > 0">
@@ -193,7 +193,7 @@
                   <div *ngIf="fetchPublications.searchUtils.status == errorCodes.NOT_AVAILABLE || fetchDatasets.searchUtils.status == errorCodes.NOT_AVAILABLE"
                         class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
                   <div *ngIf="fetchPublications.searchUtils.status == errorCodes.LOADING || fetchDatasets.searchUtils.status == errorCodes.LOADING"
-                        class="uk-alert uk-alert-primary uk-animation-fade" role="alert">Loading...</div>
+                        class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
 
                   <div *ngIf="statsClicked && (fetchPublications.searchUtils.totalResults != 0 || fetchDatasets.searchUtils.totalResults != 0)">
 
@@ -256,7 +256,7 @@
                        </li>
                        <li>
                           <a target="_blank"
-                             href="/project-report?projectId={{projectId}}&size={{fetchPublications.searchUtils.totalResults}}">
+                             href="/project-report?projectId={{projectId}}&size={{fetchPublications.searchUtils.totalResults}}&type=publication">
                               <span class="uk-icon"><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="table" ratio="1"><rect x="1" y="3" width="18" height="1"></rect><rect x="1" y="7" width="18" height="1"></rect><rect x="1" y="11" width="18" height="1"></rect><rect x="1" y="15" width="18" height="1"></rect></svg></span> Get {{projectInfo.funder}} report (HTML)
                          </a>
                        </li>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/publication/publication.component.html
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/publication/publication.component.html	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/publication/publication.component.html	(revision 48658)
@@ -6,7 +6,7 @@
 
     <div *ngIf="warningMessage.length > 0" class="uk-alert uk-alert-warning  uk-margin-large-top" role="alert">{{warningMessage}}</div>
     <div *ngIf="errorMessage.length > 0" class="uk-alert uk-alert-danger  uk-margin-large-top" role="alert">{{errorMessage}}</div>
-    <div *ngIf="showLoading" class="uk-alert uk-alert-primary  uk-margin-large-top" role="alert">Loading...</div>
+    <div *ngIf="showLoading" class="uk-animation-fade uk-margin-large-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
 
     <div  *ngIf="publicationInfo != null"  uk-grid>
         <div class="uk-width-3-4@l uk-width-3-4@xl uk-width-3-4@m uk-width-1-1@s">
@@ -62,9 +62,9 @@
               </ul>
 
 
-            <blockquote *ngIf="publicationInfo.description">
-                <div class="uk-text-justify">{{publicationInfo.description}}</div>
-            </blockquote>
+            <div *ngIf="publicationInfo.description">
+                <div class="uk-text-justify descriptionText">{{publicationInfo.description}}</div>
+            </div>
 
             <!--div class="uk-clearfix uk-margin-top uk-margin-bottom">
               <a  class="uk-float-right uk-button  uk-button-default" [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[articleId,'publication','result'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <span class="uk-icon">
@@ -71,8 +71,31 @@
 <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" icon="link" ratio="1"><path fill="none" stroke="#000" stroke-width="1.1" d="M10.625,12.375 L7.525,15.475 C6.825,16.175 5.925,16.175 5.225,15.475 L4.525,14.775 C3.825,14.074 3.825,13.175 4.525,12.475 L7.625,9.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M9.325,7.375 L12.425,4.275 C13.125,3.575 14.025,3.575 14.724,4.275 L15.425,4.975 C16.125,5.675 16.125,6.575 15.425,7.275 L12.325,10.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M7.925,11.875 L11.925,7.975"></path></svg>
 </span> Links to research Results</a>
             </div-->
+            <!--div class="uk-clearfix">
+            <div class="uk-card uk-card-primary uk-padding-small uk-width-2-3 uk-align-right uk-card-body">
+              <div class="uk-card-title">
+                <span class="uk-badge"  uk-tooltip="pos:right; delay:5"
+                       title='<div id="linkinginfo"  class= "uk-margin uk-padding-small">
+                         <p>Do you think that information is missing about a project, a community or other research results related to this publication?</p>
+                         <p>You are able to enhance it! Please follow the links and create the missing relations.</p>
+                       </div>'>
+                       <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="link" ratio="1"><path fill="none" stroke="#000" stroke-width="1.1" d="M10.625,12.375 L7.525,15.475 C6.825,16.175 5.925,16.175 5.225,15.475 L4.525,14.775 C3.825,14.074 3.825,13.175 4.525,12.475 L7.625,9.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M9.325,7.375 L12.425,4.275 C13.125,3.575 14.025,3.575 14.724,4.275 L15.425,4.975 C16.125,5.675 16.125,6.575 15.425,7.275 L12.325,10.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M7.925,11.875 L11.925,7.975"></path></svg></span>
+                Link this publication to</div>
+              <div>
 
-            <ul class="uk-tab uk-visible@xl" uk-tab="connect: #tab-content">
+                    <div class="uk-clearfix">
+
+                      <a class="uk-button-text  uk-width-1-1" [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[articleId,'publication','project'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <span class="uk-icon">
+            </span> Projects</a>
+                       <a  class=" uk-button-text  uk-width-1-1"[queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[articleId,'publication','context'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <span class="uk-icon">
+            </span> Communities</a>
+                      <a   class=" uk-button-text uk-width-1-1"  [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[articleId,'publication','result'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" >
+            Other research results</a>
+                    </div>
+               </div>
+            </div>
+          </div-->
+            <ul class="uk-tab uk-visible@l" uk-tab="connect: #tab-content">
                 <li *ngIf="publicationInfo.references" (click)="activeTab='References'"
                     [class]="activeTab == 'References'?'uk-active':''">
                     <a>
@@ -138,11 +161,11 @@
             </ul>
 
             <!--span uk-icon="icon: menu"></span> {{activeTab}}<-->
-            <button class="uk-button uk-button-default uk-hidden@xl" type="button">
+            <button class="uk-button uk-button-default uk-hidden@l" type="button">
               <span uk-navbar-toggle-icon></span> <span class="uk-margin-small-left">{{activeTab}}</span>
             </button>
 
-            <ul id="toggle-small-tabs" class="uk-subnav uk-subnav-pill uk-dropdown uk-hidden@xl" uk-switcher="connect: #tab-content" uk-dropdown="mode: click" uk-toggle="target: #toggle-small-tabs">
+            <ul id="toggle-small-tabs" class="uk-subnav uk-subnav-pill uk-dropdown uk-hidden@l" uk-switcher="connect: #tab-content" uk-dropdown="mode: click" uk-toggle="target: #toggle-small-tabs">
                 <li *ngIf="publicationInfo.references" (click)="activeTab='References'"
                     [class]="activeTab == 'References'?'uk-active':''">
                   <a>
@@ -614,9 +637,9 @@
             </ul>
 
 
-            <a  class="uk-button uk-button-default" uk-toggle="target: #linkingBox; animation:  uk-animation-fade"><span class="uk-icon">
+            <!--a  class="uk-button uk-button-default" uk-toggle="target: #linkingBox; animation:  uk-animation-fade"><span class="uk-icon">
 <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" icon="link" ratio="1"><path fill="none" stroke="#000" stroke-width="1.1" d="M10.625,12.375 L7.525,15.475 C6.825,16.175 5.925,16.175 5.225,15.475 L4.525,14.775 C3.825,14.074 3.825,13.175 4.525,12.475 L7.625,9.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M9.325,7.375 L12.425,4.275 C13.125,3.575 14.025,3.575 14.724,4.275 L15.425,4.975 C16.125,5.675 16.125,6.575 15.425,7.275 L12.325,10.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M7.925,11.875 L11.925,7.975"></path></svg>
-</span> Add links to publication</a>
+</span> Link this publication to</a>
             <div id="linkingBox" class="uk-card uk-card-default uk-card- uk-padding-small uk-margin" hidden>
                 <div class="uk-clearfix">
 
@@ -634,13 +657,36 @@
                 <div class="uk-clearfix">
                   <a class="uk-clearfix uk-button uk-button-default  uk-width-1-1" [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[articleId,'publication','project'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <span class="uk-icon">
 <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" icon="link" ratio="1"><path fill="none" stroke="#000" stroke-width="1.1" d="M10.625,12.375 L7.525,15.475 C6.825,16.175 5.925,16.175 5.225,15.475 L4.525,14.775 C3.825,14.074 3.825,13.175 4.525,12.475 L7.625,9.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M9.325,7.375 L12.425,4.275 C13.125,3.575 14.025,3.575 14.724,4.275 L15.425,4.975 C16.125,5.675 16.125,6.575 15.425,7.275 L12.325,10.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M7.925,11.875 L11.925,7.975"></path></svg>
-</span> With projects</a>
+</span> Projects</a>
                   <a  class="uk-clearfix uk-button uk-button-default  uk-width-1-1"[queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[articleId,'publication','context'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <span class="uk-icon">
 <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" icon="link" ratio="1"><path fill="none" stroke="#000" stroke-width="1.1" d="M10.625,12.375 L7.525,15.475 C6.825,16.175 5.925,16.175 5.225,15.475 L4.525,14.775 C3.825,14.074 3.825,13.175 4.525,12.475 L7.625,9.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M9.325,7.375 L12.425,4.275 C13.125,3.575 14.025,3.575 14.724,4.275 L15.425,4.975 C16.125,5.675 16.125,6.575 15.425,7.275 L12.325,10.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M7.925,11.875 L11.925,7.975"></path></svg>
-</span> With communities</a>
+</span> Communities</a>
                   <a   class="uk-clearfix uk-button uk-button-default  uk-width-1-1"  [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[articleId,'publication','result'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <span class="uk-icon"><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="link" ratio="1"><path fill="none" stroke="#000" stroke-width="1.1" d="M10.625,12.375 L7.525,15.475 C6.825,16.175 5.925,16.175 5.225,15.475 L4.525,14.775 C3.825,14.074 3.825,13.175 4.525,12.475 L7.625,9.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M9.325,7.375 L12.425,4.275 C13.125,3.575 14.025,3.575 14.724,4.275 L15.425,4.975 C16.125,5.675 16.125,6.575 15.425,7.275 L12.325,10.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M7.925,11.875 L11.925,7.975"></path></svg></span>
- With research results</a>
+ Other research results</a>
                 </div>
+             </div-->
+
+             <div class="uk-card uk-card-default uk-padding-small uk-card-body">
+               <div class="uk-card-title">
+                 <span class=""  uk-tooltip="pos:right; delay:5"
+                        title='<div id="linkinginfo"  class= "uk-margin uk-padding-small">
+                          <p>Do you think that information is missing about a project, a community or other research results related to this publication?</p>
+                          <p>You are able to enhance it! Please follow the links and create the missing relations.</p>
+                        </div>'>
+                        <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="link" ratio="1"><path fill="none" stroke="#000" stroke-width="1.1" d="M10.625,12.375 L7.525,15.475 C6.825,16.175 5.925,16.175 5.225,15.475 L4.525,14.775 C3.825,14.074 3.825,13.175 4.525,12.475 L7.625,9.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M9.325,7.375 L12.425,4.275 C13.125,3.575 14.025,3.575 14.724,4.275 L15.425,4.975 C16.125,5.675 16.125,6.575 15.425,7.275 L12.325,10.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M7.925,11.875 L11.925,7.975"></path></svg></span>
+                 Link this publication to</div>
+               <div>
+
+                     <div class="uk-clearfix">
+
+                       <div><a class="uk-button-text  uk-width-1-1" [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[articleId,'publication','project'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" >
+                          Projects</a></div>
+                       <div><a  class=" uk-button-text  uk-width-1-1"[queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[articleId,'publication','context'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" >
+                          Communities</a></div>
+                       <div><a   class=" uk-button-text uk-width-1-1"  [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[articleId,'publication','result'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" >
+                         Other research results</a></div>
+                     </div>
+                </div>
              </div>
 
         </div>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/feedback/feedback.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/feedback/feedback.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/feedback/feedback.component.ts	(revision 48658)
@@ -18,7 +18,7 @@
 })
 export class FeedbackComponent {
   public feedbackmail:string = "someone@example.com";
-  public subject:string = "[Feedback - OpenAIRE Discover Portal]";
+  public subject:string = "[Feedback - OpenAIRE Discover]";
   public body:string = "Send from page";
 
   sub:any;
@@ -25,7 +25,7 @@
   constructor(private  route: ActivatedRoute) {}
 
   ngOnInit() {
-    // this.feedbackmail = OpenaireProperties.getFeedbackMail();
+    this.feedbackmail = OpenaireProperties.getFeedbackMail();
     this.initialize();
     this.sub =  this.route.queryParams.subscribe(params => {
       this.initialize();
@@ -40,7 +40,7 @@
         referrer = location.href;
        }
 
-    this.body = "[Please write your message here] \n\n\nOpenAIRE Discover Portal - Sent from "+((referrer)?referrer:" [referrer not available]")+ "  \n(please don't delete this part of the message)";
+    this.body = "[Please write your message here] \n\n\nOpenAIRE Discover \nSent from "+((referrer)?referrer:" [referrer not available]")+ "  \n(please don't delete this part of the message)";
     this.body = StringUtils.URIEncode(this.body);
     // this.subject = StringUtils.URIEncode(this.subject);
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.component.ts	(revision 48658)
@@ -161,8 +161,8 @@
      this._meta.updateProperty("og:description", description);
    }
    updateTitle(title:string){
-     var _suffix ="| OpenAIRE";
-     var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+     var _prefix ="OpenAIRE | ";
+     var _title = _prefix + ((title.length> 50 ) ?title.substring(0,50):title);
      this._meta.setTitle(_title );
      this._meta.updateProperty("og:title",_title);
    }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/relatedDatasourcesTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/relatedDatasourcesTab.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/relatedDatasourcesTab.component.ts	(revision 48658)
@@ -12,7 +12,7 @@
         <div *ngIf="fetchResults.searchUtils.status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">There are no related content providers</div>
         <div *ngIf="fetchResults.searchUtils.status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
         <div *ngIf="fetchResults.searchUtils.status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
-        <div *ngIf="fetchResults.searchUtils.status == errorCodes.LOADING" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">Loading...</div>
+        <div *ngIf="fetchResults.searchUtils.status == errorCodes.LOADING" class="uk-animation-fade uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
 
         <!--div *ngIf="fetchResults.results.length == 0" class = "uk-alert">
             There are no related content providers
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataset/dataset.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataset/dataset.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataset/dataset.component.ts	(revision 48658)
@@ -145,8 +145,8 @@
       this._meta.updateProperty("og:description", description);
     }
     updateTitle(title:string){
-      var _suffix ="| OpenAIRE";
-      var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+      var _prefix ="OpenAIRE | ";
+      var _title = _prefix + ((title.length> 50 ) ?title.substring(0,50):title);
       this._meta.setTitle(_title );
       this._meta.updateProperty("og:title",_title);
     }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/htmlProjectReport/htmlProjectReport.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/htmlProjectReport/htmlProjectReport.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/htmlProjectReport/htmlProjectReport.component.ts	(revision 48658)
@@ -19,7 +19,7 @@
 
       <div class="uk-container uk-margin-top">
           <div *ngIf="warningMessage" class="uk-alert uk-alert-warning" role="alert">{{warningMessage}}</div>
-          <div *ngIf="showLoading" class="uk-alert uk-alert-primary" role="alert">Loading...</div>
+          <div *ngIf="showLoading" class="uk-animation-fade uk-margin-large-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
 
           <div *ngIf="!showLoading && !warningMessage">
             <h1 *ngIf="header1">{{header1}}</h1>
@@ -205,8 +205,8 @@
       this._meta.updateProperty("og:description", description);
     }
     updateTitle(title:string){
-      var _suffix ="| OpenAIRE";
-      var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+      var _prefix ="OpenAIRE | ";
+      var _title = _prefix + ((title.length> 50 ) ?title.substring(0,50):title);
       this._meta.setTitle(_title );
       this._meta.updateProperty("og:title",_title);
     }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.ts	(revision 48658)
@@ -387,8 +387,8 @@
       this._meta.updateProperty("og:description", description);
     }
     updateTitle(title:string){
-      var _suffix ="| OpenAIRE";
-      var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+      var _prefix ="OpenAIRE | ";
+      var _title = _prefix + ((title.length> 50 ) ?title.substring(0,50):title);
       this._meta.setTitle(_title );
       this._meta.updateProperty("og:title",_title);
     }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/publication/publication.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/publication/publication.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/publication/publication.component.ts	(revision 48658)
@@ -261,8 +261,8 @@
       this._meta.updateProperty("og:description", description);
     }
     updateTitle(title:string){
-      var _suffix ="| OpenAIRE";
-      var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+      var _prefix ="OpenAIRE | ";
+      var _title = _prefix + ((title.length> 50 ) ?title.substring(0,50):title);
       this._meta.setTitle(_title );
       this._meta.updateProperty("og:title",_title);
     }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/parsingFunctions.class.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/parsingFunctions.class.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/parsingFunctions.class.ts	(revision 48658)
@@ -360,9 +360,8 @@
 
     for(let i=0; i<length; i++) {
       subject = Array.isArray(_subjects) ? _subjects[i] : _subjects;
-
       if(subject.classid != "") {
-        if(subject.inferred == true) {
+        if(subject.inferred && subject.inferred == true) {
           if(classifiedSubjects == undefined) {
             classifiedSubjects = new Map<string, string[]>();
           }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts	(revision 48658)
@@ -190,8 +190,8 @@
     this._meta.updateProperty("og:description", description);
   }
   updateTitle(title:string){
-    var _suffix ="| OpenAIRE";
-    var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+    var _prefix ="OpenAIRE | ";
+    var _title = _prefix + ((title.length> 50 ) ?title.substring(0,50):title);
     this._meta.setTitle(_title );
     this._meta.updateProperty("og:title",_title);
   }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchResult.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchResult.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchResult.component.ts	(revision 48658)
@@ -11,7 +11,7 @@
       <div *ngIf="status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
       <div *ngIf="status == errorCodes.OUT_OF_BOUND" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">Requested page out of bounds</div>
       <div *ngIf="status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
-      <div *ngIf="status == errorCodes.LOADING && showLoading" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">Loading...</div>
+      <div *ngIf="status == errorCodes.LOADING && showLoading"   class="uk-animation-fade uk-margin-large-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
 
         <li *ngFor="let result of results" class="uk-animation-fade">
             <h4 class = "{{result.title.accessMode}} {{result.title.sc39}}" [title] = result.title.accessMode >
@@ -61,11 +61,11 @@
                 <span *ngIf="result['projects'].length > 15">...</span>
             </div>
 
-            <blockquote *ngIf="result.description != undefined && result.description != ''">
-                <div class="text-justify">
+            <div *ngIf="result.description != undefined && result.description != ''">
+                <div class="text-justify descriptionText">
                     {{result.description}}
                 </div>
-            </blockquote>
+            </div>
 
             <mark *ngIf="result.embargoEndDate != undefined && result.embargoEndDate != ''">Embargo End Date: {{result.embargoEndDate}}</mark>
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPageTableView.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPageTableView.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPageTableView.component.ts	(revision 48658)
@@ -54,13 +54,26 @@
           </div>
         </div>
           <div  class="uk-container">
-            <div *ngIf="searchUtils.status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">No Results found</div>
-            <div *ngIf="searchUtils.status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
-            <div *ngIf="searchUtils.status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
-            <div *ngIf="searchUtils.status == errorCodes.LOADING" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">This may take a while...</div>
+            <div *ngIf="searchUtils.status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade uk-margin-top" role="alert">No Results found</div>
+            <div *ngIf="searchUtils.status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade uk-margin-top" role="alert">An Error Occured</div>
+            <div *ngIf="searchUtils.status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade uk-margin-top" role="alert">Service not available</div>
+            <div *ngIf="searchUtils.status == errorCodes.LOADING" class="uk-alert uk-alert-primary uk-animation-fade uk-margin-top" role="alert">This may take a while...</div>
             <div  class="uk-grid uk-width-1-1 uk-margin">
 
-              <div *ngIf="searchUtils.totalResults > 0" class=" search-filters uk-width-1-4@l  uk-width-1-4@m  uk-width-1-1@s  uk-margin-large-top">
+            <div *ngIf="searchUtils.totalResults > 0" class="uk-offcanvas-content uk-hidden@m">
+
+                  <a href="#offcanvas-usage" uk-toggle><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" ratio="1"><rect x="6" y="4" width="12" height="1"></rect><rect x="6" y="9" width="12" height="1"></rect><rect x="6" y="14" width="12" height="1"></rect><rect x="2" y="4" width="2" height="1"></rect><rect x="2" y="9" width="2" height="1"></rect><rect x="2" y="14" width="2" height="1"></rect></svg></a>
+
+                  <div id="offcanvas-usage" uk-offcanvas>
+                      <div class="uk-offcanvas-bar">
+                          <button class="uk-offcanvas-close" type="button" uk-close></button>
+                          <div class="uk-text-large">Filter By:</div>
+                          <search-filter  *ngFor="let filter of filters " [addShowMore]=false [isDisabled]="disableForms" [filter]="filter"  [showResultCount]=showResultCount (change)="filterChanged($event)" (toggleModal)="toggleModal($event)"></search-filter>
+                      </div>
+                  </div>
+
+            </div>
+              <div *ngIf="searchUtils.totalResults > 0" class=" search-filters uk-width-1-4@l  uk-width-1-4@m  uk-width-1-1@s  uk-margin-large-top uk-visible@m">
                  <search-filter  *ngFor="let filter of filters " [isDisabled]="disableForms" [filter]="filter"  [showResultCount]=showResultCount (change)="filterChanged($event)" (toggleModal)="toggleModal($event)"></search-filter>
               </div>
 
@@ -229,8 +242,8 @@
     this._meta.updateProperty("og:description", description);
   }
   updateTitle(title:string){
-    var _suffix ="| OpenAIRE";
-    var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+    var _prefix ="OpenAIRE | ";
+    var _title = _prefix + ((title.length> 50 ) ?title.substring(0,50):title);
     this._meta.setTitle(_title );
     this._meta.updateProperty("og:title",_title);
   }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/browseEntities.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/browseEntities.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/browseEntities.component.ts	(revision 48658)
@@ -14,7 +14,7 @@
     selector: 'browse-entities',
     template: `
 <div>
-  <div *ngIf="status == errorCodes.LOADING" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">Loading...</div>
+  <div *ngIf="status == errorCodes.LOADING" class="uk-animation-fade uk-margin-large-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
   <div *ngIf="status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">No Results found</div>
   <div *ngIf="status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
   <div *ngIf="status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/advancedSearchForm.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/advancedSearchForm.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/advancedSearchForm.component.ts	(revision 48658)
@@ -10,7 +10,7 @@
     selector: 'advanced-search-form',
     template: `
         <form [class]="(isDisabled)?'uk-disabled':''">
-        <table   >
+        <table  class=" uk-table uk-table-responsive" >
             <tr *ngFor="let selectedField of selectedFields; let i = index" class="-row  ">
                     <td *ngIf ="i==0 " class="">Search for:</td>
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/dateFilter.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/dateFilter.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/dateFilter.component.ts	(revision 48658)
@@ -15,7 +15,7 @@
     </select>
     <div *ngIf="dateValue.type=='range' " class="-row dateFilter" >
 
-      <table >
+      <table class=" uk-table uk-table-responsive" >
       <tr><td>
       <select name="{{'select_date_type'+filterId}}"    [(ngModel)]=dateValue.type >
         <option *ngFor="let type of dateValue.types let i = index"  [value]="type" (click)="typeChanged(type)">{{dateValue.typesTitle[i]}}</option>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/advancedSearchPage.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/advancedSearchPage.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/advancedSearchPage.component.ts	(revision 48658)
@@ -105,8 +105,8 @@
     this._meta.updateProperty("og:description", description);
   }
   updateTitle(title:string){
-    var _suffix ="| OpenAIRE";
-    var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+    var _prefix ="OpenAIRE | ";
+    var _title = _prefix + ((title.length> 50 ) ?title.substring(0,50):title);
     this._meta.setTitle(_title );
     this._meta.updateProperty("og:title",_title);
   }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/deposit/datasets/depositBySubjectResult.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/deposit/datasets/depositBySubjectResult.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/deposit/datasets/depositBySubjectResult.component.ts	(revision 48658)
@@ -40,8 +40,7 @@
                           </div>
                         </div>
             <div *ngIf="fetchDataproviders.searchUtils.status == errorCodes.LOADING"
-                  class="uk-alert uk-alert-primary" role="alert">
-                    Loading...
+                  class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading">
             </div>
 
 
@@ -127,8 +126,8 @@
           this._meta.updateProperty("og:description", description);
         }
         updateTitle(title:string){
-          var _suffix ="| OpenAIRE";
-          var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+          var _prefix ="OpenAIRE | ";
+          var _title = _prefix + ((title.length> 50 ) ?title.substring(0,50):title);
           this._meta.setTitle(_title );
           this._meta.updateProperty("og:title",_title);
         }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/deposit/depositResult.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/deposit/depositResult.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/deposit/depositResult.component.ts	(revision 48658)
@@ -26,8 +26,7 @@
 
 
             <div *ngIf="status == errorCodes.LOADING || (status == errorCodes.LOADING && fetchDataproviders.searchUtils.status == errorCodes.LOADING)"
-                  class="uk-alert uk-alert-primary" role="alert">
-                    Loading...
+                  class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading">
             </div>
 
 
@@ -162,8 +161,8 @@
           this._meta.updateProperty("og:description", description);
         }
         updateTitle(title:string){
-          var _suffix ="| OpenAIRE";
-          var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+          var _prefix ="OpenAIRE | ";
+          var _title = _prefix + ((title.length> 50 ) ?title.substring(0,50):title);
           this._meta.setTitle(_title );
           this._meta.updateProperty("og:title",_title);
         }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/deposit/deposit.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/deposit/deposit.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/deposit/deposit.component.ts	(revision 48658)
@@ -91,8 +91,8 @@
       this._meta.updateProperty("og:description", description);
     }
     updateTitle(title:string){
-      var _suffix ="| OpenAIRE";
-      var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+      var _prefix ="OpenAIRE | ";
+      var _title = _prefix + ((title.length> 50 ) ?title.substring(0,50):title);
       this._meta.setTitle(_title );
       this._meta.updateProperty("og:title",_title);
     }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/claims/claimsAdmin/claimsAdmin.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/claims/claimsAdmin/claimsAdmin.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/claims/claimsAdmin/claimsAdmin.component.ts	(revision 48658)
@@ -31,7 +31,7 @@
 })
 export class ClaimsAdminComponent {
   constructor ( private _meta: Meta ) {
-    this._meta.setTitle("Claims Administrator | OpenAIRE");
+    this._meta.setTitle("OpenAIRE | Claims Administrator");
   }
   ngOnInit() {
   }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/claims/claim-utils/claimResultSearchForm.component.html
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/claims/claim-utils/claimResultSearchForm.component.html	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/claims/claim-utils/claimResultSearchForm.component.html	(revision 48658)
@@ -12,9 +12,6 @@
           <button (click)="search(false)"  type="submit" class=" uk-button uk-button-default">Search</button>
         </span>
    </form>
-   Op:{{reloadOpenaire}}- Cross:  {{reloadCrossref}} -
-   Datacite:{{reloadDatacite}} -
-   Orcid: {{reloadOrcid}}
   <div *ngIf="showSearchResults" class="uk-margin-top uk-animation">
       <ul class="uk-tab" uk-tab="animation: uk-animation-fade">
         <li *ngIf="searchSource == 'all' || searchSource == 'openaire'" (click)="clickTab('openairePub')" ><a>Publications <span  class="uk-badge uk-badge-notification">{{   (openairePubsNum)?openairePubsNum:0 }}</span></a></li>
@@ -26,7 +23,7 @@
 
         <div *ngIf="activeTab == 'crossref'" id="crossref" >
           <div  class="uk-margin-top" >
-            <div *ngIf="crossrefStatus == errorCodes.LOADING" class="uk-alert uk-alert-primary" role="alert">Loading...</div>
+            <div *ngIf="crossrefStatus == errorCodes.LOADING" class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
             <div *ngIf="crossrefStatus != errorCodes.LOADING && crossrefResults.length == 0" class="uk-alert uk-alert-primary" role="alert">No Results found</div>
             <div *ngIf="crossrefStatus == errorCodes.ERROR" class="uk-alert uk-alert-warning" role="alert">An Error Occured</div>
             <div *ngIf="crossrefStatus == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger" role="alert">Service not available</div>
@@ -53,7 +50,7 @@
         </div>
         <div   *ngIf="activeTab == 'openairePub'" id="openairePubs" class="uk-animation-fade" >
           <div class = "uk-margin-top">
-            <div *ngIf="openairePubsStatus == errorCodes.LOADING" class="uk-alert uk-alert-primary" role="alert">Loading...</div>
+            <div *ngIf="openairePubsStatus == errorCodes.LOADING" class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
             <div *ngIf="openairePubsStatus == errorCodes.NONE" class="uk-alert uk-alert-primary" role="alert">No Results found</div>
             <div *ngIf="openairePubsStatus == errorCodes.ERROR" class="uk-alert uk-alert-warning" role="alert">An Error Occured</div>
             <div *ngIf="openairePubsStatus == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger" role="alert">Service not available</div>
@@ -81,7 +78,7 @@
        </div>
         <div  *ngIf="activeTab == 'orcid'" id="orcid" class="uk-animation-fade">
           <div class="uk-margin-top" >
-            <div *ngIf="orcidStatus == errorCodes.LOADING" class="uk-alert uk-alert-primary" role="alert">Loading...</div>
+            <div *ngIf="orcidStatus == errorCodes.LOADING" class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
             <div *ngIf="orcidStatus == errorCodes.ERROR" class="uk-alert uk-alert-warning" role="alert">An Error Occured</div>
             <div *ngIf="orcidStatus == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger" role="alert">Service not available</div>
             <div *ngIf="orcidStatus == errorCodes.NONE && (!authorIds ||authorIds.length == 0)" class = "uk-alert uk-alert-primary " > No results found  </div>
@@ -126,7 +123,7 @@
            </div>
          </div>
          <div  *ngIf="activeTab == 'datacite'" id="datacite" class="uk-animation-fade">
-           <div *ngIf="dataciteStatus == errorCodes.LOADING" class="uk-alert uk-alert-primary" role="alert">Loading...</div>
+           <div *ngIf="dataciteStatus == errorCodes.LOADING" class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
            <div *ngIf="dataciteStatus == errorCodes.NONE" class="uk-alert uk-alert-primary" role="alert">No Results found</div>
            <div *ngIf="dataciteStatus == errorCodes.ERROR" class="uk-alert uk-alert-warning" role="alert">An Error Occured</div>
            <div *ngIf="dataciteStatus == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger" role="alert">Service not available</div>
@@ -156,7 +153,7 @@
             </div>
           </div>
           <div  *ngIf="activeTab == 'openaireData'" id="openaireData" class="uk-animation-fade">
-            <div *ngIf="openaireDataStatus == errorCodes.LOADING" class="uk-alert uk-alert-primary" role="alert">Loading...</div>
+            <div *ngIf="openaireDataStatus == errorCodes.LOADING" class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
             <div *ngIf="openaireDataStatus == errorCodes.NONE" class="uk-alert uk-alert-primary" role="alert">No Results found</div>
             <div *ngIf="openaireDataStatus == errorCodes.ERROR" class="uk-alert uk-alert-warning" role="alert">An Error Occured</div>
             <div *ngIf="openaireDataStatus == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger" role="alert">Service not available</div>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/claims/claimsByToken/claimsByToken.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/claims/claimsByToken/claimsByToken.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/claims/claimsByToken/claimsByToken.component.ts	(revision 48658)
@@ -423,8 +423,8 @@
   }
 
   updateTitle(title:string){
-    var _suffix ="| OpenAIRE";
-    var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+    var _prefix ="OpenAIRE | ";
+    var _title = _prefix + ((title.length> 50 ) ?title.substring(0,50):title);
     this._meta.setTitle(_title );
   }
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/claims/directLinking/directLinking.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/claims/directLinking/directLinking.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/claims/directLinking/directLinking.component.ts	(revision 48658)
@@ -124,7 +124,7 @@
   validInput:boolean = null;//'true;
   constructor ( private _router: Router,  private route: ActivatedRoute, private entitySearch:EntitiesSearchService,
     private publicationsSearch:SearchPublicationsService, private datasetsSearch:SearchDatasetsService, private _meta: Meta) {
-      this._meta.setTitle("Direct Linking | OpenAIRE");
+      this._meta.setTitle("OpenAIRE | Direct Linking");
   }
   ngOnInit() {
     if(localStorage.getItem("projects")){
Index: modules/uoa-services-portal/trunk/portal-2/src/app/claims/linking/linkingGeneric.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/claims/linking/linkingGeneric.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/claims/linking/linkingGeneric.component.ts	(revision 48658)
@@ -142,7 +142,7 @@
   sub:any =null;
   constructor ( private _router: Router,  private route: ActivatedRoute, private entitySearch:EntitiesSearchService,
     private publicationsSearch:SearchPublicationsService, private datasetsSearch:SearchDatasetsService, private _meta: Meta) {
-      this._meta.setTitle("Linking | OpenAIRE");
+      this._meta.setTitle("OpenAIRE | Linking");
   }
   ngOnInit() {
       if( typeof localStorage !== 'undefined') {
Index: modules/uoa-services-portal/trunk/portal-2/src/app/claims/myClaims/myClaims.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/claims/myClaims/myClaims.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/claims/myClaims/myClaims.component.ts	(revision 48658)
@@ -27,7 +27,7 @@
 })
  export class MyClaimsComponent {
   constructor ( private _meta: Meta ) {
-    this._meta.setTitle("My Claims | OpenAIRE");
+    this._meta.setTitle("OpenAIRE | My Claims");
    }
    ngOnInit() {
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/login/user.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/login/user.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/login/user.component.ts	(revision 48658)
@@ -82,7 +82,7 @@
 
     constructor( private router: Router,
                  private  route: ActivatedRoute, private _meta: Meta ) {
-      this._meta.setTitle("Login | OpenAIRE");
+      this._meta.setTitle("OpenAIRE | Login");
     }
 
     ngOnInit() {
Index: modules/uoa-services-portal/trunk/portal-2/src/app/error/errorPage.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/error/errorPage.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/error/errorPage.component.ts	(revision 48658)
@@ -36,7 +36,7 @@
     public page: string;
 
     constructor (private _location: Location, private _meta: Meta) {
-        this._meta.setTitle("Error | OpenAIRE");
+        this._meta.setTitle("OpenAIRE | Error page");
         this.page = _location.path(true);
         //this.page = _router.url;
         //this.page = location.href;
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/searchingProjectsInTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/searchingProjectsInTab.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/searchingProjectsInTab.component.ts	(revision 48658)
@@ -17,7 +17,7 @@
         <div *ngIf="fetchProjects.searchUtils.status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">There are no projects</div>
         <div *ngIf="fetchProjects.searchUtils.status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
         <div *ngIf="fetchProjects.searchUtils.status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
-        <div *ngIf="fetchProjects.searchUtils.status == errorCodes.LOADING" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">Loading...</div>
+        <div *ngIf="fetchProjects.searchUtils.status == errorCodes.LOADING" class="uk-animation-fade uk-margin-large-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
 
         <div *ngIf="fetchProjects.searchUtils.totalResults > 0">
             <div class = "uk-text-right" *ngIf = "fetchProjects.searchUtils.totalResultsNoFilters > 10">
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasetsTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasetsTab.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasetsTab.component.ts	(revision 48658)
@@ -9,7 +9,7 @@
         <div *ngIf="fetchDatasets.searchUtils.status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">There are no research data</div>
         <div *ngIf="fetchDatasets.searchUtils.status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
         <div *ngIf="fetchDatasets.searchUtils.status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
-        <div *ngIf="fetchDatasets.searchUtils.status == errorCodes.LOADING" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">Loading...</div>
+        <div *ngIf="fetchDatasets.searchUtils.status == errorCodes.LOADING" class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
 
         <!--div *ngIf="fetchDatasets.searchUtils.totalResults == 0" class = "uk-alert">
             There are no research data
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/projectsTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/projectsTab.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/projectsTab.component.ts	(revision 48658)
@@ -10,7 +10,7 @@
         <div *ngIf="fetchProjects.searchUtils.status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">There are no projects</div>
         <div *ngIf="fetchProjects.searchUtils.status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
         <div *ngIf="fetchProjects.searchUtils.status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
-        <div *ngIf="fetchProjects.searchUtils.status == errorCodes.LOADING" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">Loading...</div>
+        <div *ngIf="fetchProjects.searchUtils.status == errorCodes.LOADING" class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
 
         <!--div *ngIf="fetchProjects.searchUtils.totalResults == 0" class = "uk-alert">
             There are no projects
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/statisticsTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/statisticsTab.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/statisticsTab.component.ts	(revision 48658)
@@ -14,7 +14,7 @@
       <div *ngIf="searchPublicationsComponent.searchUtils.status == errorCodes.NOT_AVAILABLE || DatasetsComponent.searchUtils.status == errorCodes.NOT_AVAILABLE"
             class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
       <div *ngIf="searchPublicationsComponent.searchUtils.status == errorCodes.LOADING || DatasetsComponent.searchUtils.status == errorCodes.LOADING"
-            class="uk-alert uk-alert-primary uk-animation-fade" role="alert">Loading...</div>
+            class="uk-animation-fade  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
 
       <!--div *ngIf="searchPublicationsComponent.searchUtils.totalResults == 0 && searchDatasetsComponent.searchUtils.totalResults == 0" class = "uk-alert">
           There are no statistics
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/publicationsTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/publicationsTab.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/publicationsTab.component.ts	(revision 48658)
@@ -9,7 +9,7 @@
         <div *ngIf="fetchPublications.searchUtils.status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">There are no publications</div>
         <div *ngIf="fetchPublications.searchUtils.status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
         <div *ngIf="fetchPublications.searchUtils.status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
-        <div *ngIf="fetchPublications.searchUtils.status == errorCodes.LOADING" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">Loading...</div>
+        <div *ngIf="fetchPublications.searchUtils.status == errorCodes.LOADING" class="uk-animation-fade uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
 
         <!--div *ngIf="fetchPublications.searchUtils.totalResults == 0" class = "uk-alert">
             There are no publications
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasourcesTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasourcesTab.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasourcesTab.component.ts	(revision 48658)
@@ -9,7 +9,7 @@
         <div *ngIf="fetchDataproviders.searchUtils.status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">There are no content providers</div>
         <div *ngIf="fetchDataproviders.searchUtils.status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
         <div *ngIf="fetchDataproviders.searchUtils.status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
-        <div *ngIf="fetchDataproviders.searchUtils.status == errorCodes.LOADING" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">Loading...</div>
+        <div *ngIf="fetchDataproviders.searchUtils.status == errorCodes.LOADING" class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
 
         <!--div *ngIf="fetchDataproviders.searchUtils.totalResults == 0" class = "uk-alert">
             There are no content providers
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataset/dataset.component.html
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataset/dataset.component.html	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataset/dataset.component.html	(revision 48658)
@@ -6,7 +6,7 @@
 
     <div *ngIf="warningMessage.length > 0" class="uk-alert uk-alert-warning  uk-margin-large-top" role="alert">{{warningMessage}}</div>
     <div *ngIf="errorMessage.length > 0" class="uk-alert uk-alert-danger  uk-margin-large-top" role="alert">{{errorMessage}}</div>
-    <div *ngIf="showLoading" class="uk-alert uk-alert-primary  uk-margin-large-top" role="alert">Loading...</div>
+    <div *ngIf="showLoading" class="uk-animation-fade uk-margin-large-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
 
     <div *ngIf="datasetInfo != null" uk-grid>
         <div class="uk-width-3-4@l uk-width-3-4@xl uk-width-3-4@m uk-width-1-1@s">
@@ -48,9 +48,9 @@
             </ul>
 
 
-            <blockquote *ngIf="datasetInfo.description != ''">
-                <div class="uk-text-justify">{{datasetInfo.description}}</div>
-            </blockquote>
+            <div *ngIf="datasetInfo.description != ''">
+                <div class="uk-text-justify descriptionText">{{datasetInfo.description}}</div>
+            </div>
 
             <!--div class="uk-clearfix uk-margin-top uk-margin-bottom">
 
@@ -59,7 +59,7 @@
 </span> Links to research Results</a>
             </div-->
 
-            <ul class="uk-tab uk-visible@m" uk-tab="connect: #tab-content">
+            <ul class="uk-tab uk-visible@l" uk-tab="connect: #tab-content">
                 <li (click)="activeTab='Related Research Results'"
                     [class]="activeTab == 'Related Research Results'?'uk-active':''">
                      <a>
@@ -91,11 +91,11 @@
                 </li>
             </ul>
 
-            <button class="uk-button uk-button-default uk-hidden@m" type="button">
+            <button class="uk-button uk-button-default uk-hidden@l" type="button">
               <span uk-navbar-toggle-icon></span> <span class="uk-margin-small-left">{{activeTab}}</span>
             </button>
 
-            <ul id="toggle-small-tabs" class="uk-subnav uk-subnav-pill uk-dropdown uk-hidden@m" uk-switcher="connect: #tab-content" uk-dropdown="mode: click" uk-toggle="target: #toggle-small-tabs">
+            <ul id="toggle-small-tabs" class="uk-subnav uk-subnav-pill uk-dropdown uk-hidden@l" uk-switcher="connect: #tab-content" uk-dropdown="mode: click" uk-toggle="target: #toggle-small-tabs">
               <li (click)="activeTab='Related Research Results'"
                   [class]="activeTab == 'Related Research Results'?'uk-active':''">
                      <a>
@@ -376,7 +376,7 @@
 
             <a  class="uk-button uk-button-default" uk-toggle="target: #linkingBox; animation:  uk-animation-fade"><span class="uk-icon">
 <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" icon="link" ratio="1"><path fill="none" stroke="#000" stroke-width="1.1" d="M10.625,12.375 L7.525,15.475 C6.825,16.175 5.925,16.175 5.225,15.475 L4.525,14.775 C3.825,14.074 3.825,13.175 4.525,12.475 L7.625,9.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M9.325,7.375 L12.425,4.275 C13.125,3.575 14.025,3.575 14.724,4.275 L15.425,4.975 C16.125,5.675 16.125,6.575 15.425,7.275 L12.325,10.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M7.925,11.875 L11.925,7.975"></path></svg>
-</span> Add links to publication</a>
+</span>Link this Dataset to</a>
             <div id="linkingBox" class="uk-card uk-card-default uk-card- uk-padding-small uk-margin" hidden>
               <div class="uk-clearfix">
 
@@ -394,14 +394,16 @@
               <div class="uk-clearfix">
                   <a class="uk-clearfix uk-button uk-button-default  uk-width-1-1" [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[datasetId,'dataset','project'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <span class="uk-icon">
 <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" icon="link" ratio="1"><path fill="none" stroke="#000" stroke-width="1.1" d="M10.625,12.375 L7.525,15.475 C6.825,16.175 5.925,16.175 5.225,15.475 L4.525,14.775 C3.825,14.074 3.825,13.175 4.525,12.475 L7.625,9.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M9.325,7.375 L12.425,4.275 C13.125,3.575 14.025,3.575 14.724,4.275 L15.425,4.975 C16.125,5.675 16.125,6.575 15.425,7.275 L12.325,10.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M7.925,11.875 L11.925,7.975"></path></svg>
-</span> With projects</a>
+</span> Projects</a>
                   <a  class="uk-clearfix uk-button uk-button-default  uk-width-1-1"[queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[datasetId,'dataset','context'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <span class="uk-icon">
 <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" icon="link" ratio="1"><path fill="none" stroke="#000" stroke-width="1.1" d="M10.625,12.375 L7.525,15.475 C6.825,16.175 5.925,16.175 5.225,15.475 L4.525,14.775 C3.825,14.074 3.825,13.175 4.525,12.475 L7.625,9.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M9.325,7.375 L12.425,4.275 C13.125,3.575 14.025,3.575 14.724,4.275 L15.425,4.975 C16.125,5.675 16.125,6.575 15.425,7.275 L12.325,10.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M7.925,11.875 L11.925,7.975"></path></svg>
-</span> With communities</a>
+</span> Communities</a>
                   <a   class="uk-clearfix uk-button uk-button-default  uk-width-1-1"  [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[datasetId,'dataset','result'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <span class="uk-icon"><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="link" ratio="1"><path fill="none" stroke="#000" stroke-width="1.1" d="M10.625,12.375 L7.525,15.475 C6.825,16.175 5.925,16.175 5.225,15.475 L4.525,14.775 C3.825,14.074 3.825,13.175 4.525,12.475 L7.625,9.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M9.325,7.375 L12.425,4.275 C13.125,3.575 14.025,3.575 14.724,4.275 L15.425,4.975 C16.125,5.675 16.125,6.575 15.425,7.275 L12.325,10.375"></path><path fill="none" stroke="#000" stroke-width="1.1" d="M7.925,11.875 L11.925,7.975"></path></svg></span>
- With research results</a>
+ Other Research results</a>
                 </div>
              </div>
+
+
         </div>
     </div>
 </div>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/htmlProjectReport/htmlProjectReport.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/htmlProjectReport/htmlProjectReport.module.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/htmlProjectReport/htmlProjectReport.module.ts	(revision 48658)
@@ -9,10 +9,11 @@
 import {HtmlProjectReportComponent} from './htmlProjectReport.component';
 import { HtmlProjectReportRoutingModule } from './htmlProjectReport-routing.module';
 import {FreeGuard} from'../../login/freeGuard.guard';
+import {PiwikServiceModule} from '../../utils/piwik/piwikService.module';
 
 @NgModule({
   imports: [
-    CommonModule, FormsModule, HtmlProjectReportRoutingModule, ProjectServiceModule
+    CommonModule, FormsModule, HtmlProjectReportRoutingModule, ProjectServiceModule,PiwikServiceModule
   ],
   declarations: [
   HtmlProjectReportComponent
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.html
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.html	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.html	(revision 48658)
@@ -5,7 +5,7 @@
 <div class="uk-container uk-margin-top organization">
     <div *ngIf="warningMessage.length > 0" class="uk-alert uk-alert-warning  uk-margin-large-top" role="alert">{{warningMessage}}</div>
     <div *ngIf="errorMessage.length > 0" class="uk-alert uk-alert-danger  uk-margin-large-top" role="alert">{{errorMessage}}</div>
-    <div *ngIf="showLoading" class="uk-alert uk-alert-primary  uk-margin-large-top" role="alert">Loading...</div>
+    <div *ngIf="showLoading"class="uk-animation-fade uk-margin-large-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
 
     <div *ngIf="organizationInfo != null" uk-grid>
         <div class="uk-width-3-4@l uk-width-3-4@xl uk-width-3-4@m uk-width-1-1@s">
@@ -88,7 +88,7 @@
                     <div *ngIf="fetchPublications.searchUtils.status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">There are no publications</div>
                     <div *ngIf="fetchPublications.searchUtils.status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
                     <div *ngIf="fetchPublications.searchUtils.status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
-                    <div *ngIf="fetchPublications.searchUtils.status == errorCodes.LOADING" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">Loading...</div>
+                    <div *ngIf="fetchPublications.searchUtils.status == errorCodes.LOADING" class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
 
                     <div *ngIf="fetchPublications.searchUtils.totalResults > 0">
                         <div class = "uk-text-right" *ngIf = "fetchPublications.searchUtils.totalResults > 10">
@@ -116,7 +116,7 @@
                     <div *ngIf="fetchDataproviders.searchUtils.status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">There are no content providers</div>
                     <div *ngIf="fetchDataproviders.searchUtils.status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
                     <div *ngIf="fetchDataproviders.searchUtils.status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
-                    <div *ngIf="fetchDataproviders.searchUtils.status == errorCodes.LOADING" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">Loading...</div>
+                    <div *ngIf="fetchDataproviders.searchUtils.status == errorCodes.LOADING" class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
 
                     <div *ngIf="fetchDataproviders.searchUtils.totalResults > 0">
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.component.ts	(revision 48658)
@@ -278,8 +278,8 @@
       this._meta.updateProperty("og:description", description);
     }
     updateTitle(title:string){
-      var _suffix ="| OpenAIRE";
-      var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+      var _prefix ="OpenAIRE | ";
+      var _title = _prefix + ((title.length> 50 ) ?title.substring(0,50):title);
       this._meta.setTitle(_title );
       this._meta.updateProperty("og:title",_title);
     }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/showSubjects.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/showSubjects.component.ts	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/showSubjects.component.ts	(revision 48658)
@@ -3,7 +3,7 @@
 @Component({
     selector: 'showSubjects',
     template: `
-        <div   *ngIf="subjects != undefined">
+        <div   *ngIf="subjects != undefined || otherSubjects != undefined || classifiedSubjects != undefined ">
 
             <div *ngIf="(subjects != undefined && subjects.length > 0) ||
                        (otherSubjects != undefined && otherSubjects.size > 0) ||
@@ -26,7 +26,7 @@
             </div>
 
             <div *ngIf="classifiedSubjects != undefined && classifiedSubjects.size > 0">
-                <div class="uk-panel uk-padding uk-background-muted"  >
+                <div class="uk-panel uk-padding-small uk-background-muted"  >
                     <div *ngFor="let key of classifiedSubjects.keys()">
                         <span class="uk-text-bold">Classified by OpenAIRE into</span>
                         <div>
Index: modules/uoa-services-portal/trunk/portal-2/src/assets/custom.css
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/assets/custom.css	(revision 48657)
+++ modules/uoa-services-portal/trunk/portal-2/src/assets/custom.css	(revision 48658)
@@ -298,7 +298,11 @@
   	padding-right: 20px;
   }
 
+.descriptionText{
+  Padding-left: 25px !important;
+  Border-left: 10px solid #fafafa;
 
+}
 
 
 /*
Index: modules/uoa-services-portal/trunk/portal-2/src/assets/loading.gif
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: modules/uoa-services-portal/trunk/portal-2/src/assets/loading.gif
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/assets/loading.gif	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/assets/loading.gif	(revision 48658)

Property changes on: modules/uoa-services-portal/trunk/portal-2/src/assets/loading.gif
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
